import request from '@/utils/request'

// 查询订单信息列表
export function listOrderInfo(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.marketOrderInfo',
      _mt: 'list',
      ...query
    }
  })
}

// 查询订单信息详细
export function getOrderInfo(id) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.marketOrderInfo',
      _mt: 'get',
      id: id
    }
  })
}

// 新增订单信息
export function addOrderInfo(data) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.marketOrderInfo',
      _mt: 'add',
      marketOrderInfo: data
    }
  })
}

// 修改订单信息
export function updateOrderInfo(data) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.marketOrderInfo',
      _mt: 'update',
      marketOrderInfo: data
    }
  })
}

// 删除订单信息
export function delOrderInfo(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.marketOrderInfo',
      _mt: 'delete',
      id: id
    }
  })
}

// 导出订单信息
export function exportOrderInfo(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.marketOrderInfo',
      _mt: 'export',
      ...query
    }
  })
}
